<div class="row">
  <div class="col-sm-6 col-md-6 col-lg-6" *ngIf="info">
    <h4 class="media-heading">{{info.name}} {{info.lastName}}</h4>
    <div class="card">
      <div class="card-body">
        <div class="card-block">
          <div class="media-list media-bordered">
            <div class="media">
              <div class="media-body col-6">
                <label for="document">Identification: </label>
                <p id="document" class="card-text">{{info.typeDocument}} {{info.documentNumber}}</p>
                <label for="birth">Birthdate:</label>
                <p id="birth" class="card-text">{{info.birth}}</p>
                <label for="phone">Phone:</label>
                <p id="phone" class="card-text">{{info.phone}}</p>
              </div>
              <div class="media-body col-6">
                <label for="phone">Plan:</label>
                <p id="phone" class="card-text">{{info.plan}}</p>
                <label for="direction">Direction:</label>
                <p id="direction" class="card-text">{{info.direction}}</p>
                <label for="gender">Gender:</label>
                <p id="gender" class="card-text">{{info.gender}}</p>
              </div>
            </div>
          </div>
        </div>
      </div>
      <div class="card-block">
        <button [routerLink]="['/consultation', info._id]" (click)="createRecord(info._id)" class="btn btn-outline-primary btn-xs"
          placement="top" ngbTooltip="New Consult">
          <i class="ft-clipboard"></i>Consult
        </button>
        <button class="btn btn-outline-indigo btn-xs" placement="top" ngbTooltip="Edit" (click)="isCollapsed = !isCollapsed">
          <i class="ft-edit"></i>Edit
        </button>
      </div>
    </div>
  </div>
  <div class="col-sm-6 col-md-6 col-lg-6" id="collapse" [ngbCollapse]="isCollapsed">
    <h4 class="media-heading">Edit</h4>
    <div class="card">
      <form class="form ng-untouched ng-pristine ng-valid" [formGroup]="regularForm" #patientsForm="ngForm" novalidate>
        <div class="card-body">
          <div class="card-block">
            <div class="media-list media-bordered">
              <div class="media" *ngIf="info">
                <div class="media-body col-6">
                  <label for="typeDocument">Type</label>
                  <select formControlName="typeDocument" name="typeDocument" [(ngModel)]="info.typeDocument" class="form-control"
                    id="document" required>
                    <option *ngFor="let x of typeDocument" [value]="x.type">{{x.type}}</option>
                  </select>
                  <label for="name">Name</label>
                  <input formControlName="name" type="text" name="name" [(ngModel)]="info.name" id="name" class="form-control">
                  <small class="form-text text-muted danger" *ngIf="!regularForm.get('name').valid && (regularForm.get('name').dirty || regularForm.get('name').touched)">Required,
                    Only Letters</small>
                  <label for="phone">Plan:</label>
                  <input formControlName="plan" name="plan" [(ngModel)]="info.plan" type="text" id="plan" class="form-control">
                  <small class="form-text text-muted danger" *ngIf="!regularForm.get('plan').valid && (regularForm.get('plan').dirty || regularForm.get('plan').touched)">Required</small>
                  <label for="birth">Birthdate:</label>
                  <input data-placement="top" data-title="Date Opened" data-toggle="tooltip" data-trigger="hover" type="date"
                    name="birth" [(ngModel)]="info.birth" id="birth" placeholder="" class="form-control"
                    formControlName="birth" required>
                  <small class="form-text text-muted danger" *ngIf="!regularForm.get('birth').valid && (regularForm.get('birth').dirty || regularForm.get('birth').touched)">Required</small>
                  <label for="phone">Phone:</label>
                  <input formControlName="phone" name="phone" [(ngModel)]="info.phone" type="text" id="phone" class="form-control">
                  <small class="form-text text-muted danger" *ngIf="!regularForm.get('phone').valid && (regularForm.get('phone').dirty || regularForm.get('phone').touched)">Required,
                    Only numbers</small>
                </div>
                <div class="media-body col-6">
                  <label for="document">Document</label>
                  <input id="document" type="text" name="document" [(ngModel)]="info.documentNumber" class="form-control"
                    formControlName="documentNumber">
                  <small class="form-text text-muted danger" *ngIf="!regularForm.get('documentNumber').valid && (regularForm.get('documentNumber').dirty || regularForm.get('documentNumber').touched)">Required,
                    Only numbers</small>
                  <label for="lastName">Lastname</label>
                  <input formControlName="lastName" name="lastName" [(ngModel)]="info.lastName" type="text" id="lastName"
                    class="form-control">
                  <small class="form-text text-muted danger" *ngIf="!regularForm.get('lastName').valid && (regularForm.get('lastName').dirty || regularForm.get('lastName').touched)">Required,
                    Only Letters</small>
                  <label for="direction">Direction:</label>
                  <input formControlName="direction" name="direction" [(ngModel)]="info.direction" type="text" id="direction"
                    class="form-control">
                  <small class="form-text text-muted danger" *ngIf="!regularForm.get('direction').valid && (regularForm.get('direction').dirty || regularForm.get('direction').touched)">Required</small>
                  <label for="gender">Gender:</label>
                  <select id="gender" formControlName="gender" name="gender" [(ngModel)]="info.gender" class="form-control"
                    required>
                    <option *ngFor="let x of gender" [value]="x.gender">{{x.gender}}</option>
                  </select>
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="card-block form-action">
          <button class="btn btn-outline-success btn-xs" placement="top" ngbTooltip="Guardar Cambios" (click)="editPatient(patientsForm)">
            <i class="ft-check"></i>Save
          </button>
          <button class="btn btn-outline-warning btn-xs" placement="top" ngbTooltip="Ocultar panel editar" (click)="isCollapsed = !isCollapsed">
            <i class="ft-eye-off"></i>Hide
          </button>
          <button class="btn btn-outline-danger btn-xs" placement="top" ngbTooltip="Borrar informacion del formulario"
            (click)="resetForm()">
            <i class="ft-delete"></i>Delete
          </button>
        </div>
      </form>
    </div>
  </div>
</div>
<div class="row">
  <div class="col-sm-12 col-md-12 col-lg-12">
    <h4 class="media-heading">History</h4>
    <div class="card">
      <div class="input-group">
        <input type="date" class="form-control" name="searchDateConsult" [(ngModel)]="searchDateConsult" placeholder="Search for date"
          name="dp">
        <div class="input-group-append">
          <button class="btn btn-outline-danger bg-white ft-calendar" type="button"></button>
        </div>
        <input type="text" class="form-control" placeholder="Search" name="searcConsult" [(ngModel)]="searchConsult">
        <div class="input-group-append">
          <button class="btn btn-outline-info bg-white ft-search" type="button"></button>
        </div>
      </div>
      <table class="table">
        <thead class="thead bg-white">
          <tr>
            <th scope="col">Date</th>
            <th scope="col">Especiality</th>
            <th scope="col">Doctor</th>
            <th scope="col">Motive</th>
            <th scope="col">Tension</th>
            <th scope="col">Weight</th>
            <th scope="col">Height</th>
            <th scope="col">Temperature</th>
            <th scope="col">Records</th>
          </tr>
        </thead>
        <tbody class="bg-white">
          <tr *ngFor="let x of der | filterConsult: searchConsult | filterDateConsult: searchDateConsult">
            <td>{{formatDate(x.dateConsult)}}</td>
            <td>{{x.spc}}</td>
            <td>{{x.docName}} {{x.doclastName}}</td>
            <td>{{x.motiveDer}}</td>
            <td>{{x.ta}}</td>
            <td>{{x.weight}}kg</td>
            <td>{{x.height}}cm</td>
            <td>{{x.temp}}ºc</td>
            <td>{{x.backgroundDer}}</td>
          </tr>
          <tr *ngFor="let x of gas | filterConsult: searchConsult | filterDateConsult: searchDateConsult">
            <td>{{formatDate(x.dateConsult)}}</td>
            <td>{{x.spc}}</td>
            <td>{{x.docName}} {{x.doclastName}}</td>
            <td>{{x.motiveGas}}</td>
            <td>{{x.ta}}</td>
            <td>{{x.weight}}kg</td>
            <td>{{x.height}}cm</td>
            <td>{{x.temp}}ºc</td>
            <td>{{x.backgroundGas}}</td>
          </tr>
          <tr *ngFor="let x of gen | filterConsult: searchConsult | filterDateConsult: searchDateConsult">
            <td>{{formatDate(x.dateConsult)}}</td>
            <td>{{x.spc}}</td>
            <td>{{x.docName}} {{x.doclastName}}</td>
            <td>{{x.motiveGen}}</td>
            <td>{{x.ta}}</td>
            <td>{{x.weight}}kg</td>
            <td>{{x.height}}cm</td>
            <td>{{x.temp}}ºc</td>
            <td>{{x.backgroundGen}}</td>
          </tr>
          <tr *ngFor="let x of gin | filterConsult: searchConsult | filterDateConsult: searchDateConsult">
            <td>{{formatDate(x.dateConsult)}}</td>
            <td>{{x.spc}}</td>
            <td>{{x.docName}} {{x.doclastName}}</td>
            <td>{{x.motiveGin}}</td>
            <td>{{x.ta}}</td>
            <td>{{x.weight}}kg</td>
            <td>{{x.height}}cm</td>
            <td>{{x.temp}}ºc</td>
            <td>{{x.backgroundGin}}</td>
          </tr>
          <tr *ngFor="let x of min | filterConsult: searchConsult | filterDateConsult: searchDateConsult">
            <td>{{formatDate(x.dateConsult)}}</td>
            <td>{{x.spc}}</td>
            <td>{{x.docName}} {{x.doclastName}}</td>
            <td>{{x.motiveMin}}</td>
            <td>{{x.ta}}</td>
            <td>{{x.weight}}kg</td>
            <td>{{x.height}}cm</td>
            <td>{{x.temp}}ºc</td>
            <td>{{x.backgroundMin}}</td>
          </tr>
          <tr *ngFor="let x of neu | filterConsult: searchConsult | filterDateConsult: searchDateConsult">
            <td>{{formatDate(x.dateConsult)}}</td>
            <td>{{x.spc}}</td>
            <td>{{x.docName}} {{x.doclastName}}</td>
            <td>{{x.motiveNeu}}</td>
            <td>{{x.ta}}</td>
            <td>{{x.weight}}kg</td>
            <td>{{x.height}}cm</td>
            <td>{{x.temp}}ºc</td>
            <td>{{x.backgroundNeu}}</td>
          </tr>
          <tr *ngFor="let x of onc | filterConsult: searchConsult | filterDateConsult: searchDateConsult">
            <td>{{formatDate(x.dateConsult)}}</td>
            <td>{{x.spc}}</td>
            <td>{{x.docName}} {{x.doclastName}}</td>
            <td>{{x.motiveOnc}}</td>
            <td>{{x.ta}}</td>
            <td>{{x.weight}}kg</td>
            <td>{{x.height}}cm</td>
            <td>{{x.temp}}ºc</td>
            <td>{{x.backgroundOnc}}</td>
          </tr>
          <tr *ngFor="let x of reu | filterConsult: searchConsult | filterDateConsult: searchDateConsult">
            <td>{{formatDate(x.dateConsult)}}</td>
            <td>{{x.spc}}</td>
            <td>{{x.docName}} {{x.doclastName}}</td>
            <td>{{x.motiveReu}}</td>
            <td>{{x.ta}}</td>
            <td>{{x.weight}}kg</td>
            <td>{{x.height}}cm</td>
            <td>{{x.temp}}ºc</td>
            <td>{{x.backgroundReu}}</td>
          </tr>
          <tr *ngFor="let x of tra | filterConsult: searchConsult | filterDateConsult: searchDateConsult">
            <td>{{formatDate(x.dateConsult)}}</td>
            <td>{{x.spc}}</td>
            <td>{{x.docName}} {{x.doclastName}}</td>
            <td>{{x.motiveTra}}</td>
            <td>{{x.ta}}</td>
            <td>{{x.weight}}kg</td>
            <td>{{x.height}}cm</td>
            <td>{{x.temp}}ºc</td>
            <td>{{x.backgroundTra}}</td>
          </tr>
      </table>
    </div>
  </div>
</div>
